/// <reference types="express" />
import { Response } from '@loopback/rest';
export declare abstract class GeneratedResponse {
    abstract getResponse(response: Response): Response;
}
export declare class FileGeneratedResponse extends GeneratedResponse {
    filePath: string;
    fileName: string;
    constructor(filePath: string, fileName: string);
    getResponse(response: Response): Response;
}
export declare class Base64GeneratedResponse extends GeneratedResponse {
    name: string;
    base64: string;
    type?: string | undefined;
    constructor(name: string, base64: string, type?: string | undefined);
    getResponse(response: Response): Response;
}
export declare class JsonGeneratedResponse<T> extends GeneratedResponse {
    json: T;
    constructor(json: T);
    getResponse(response: Response): Response;
}
export declare class BodyGeneratedResponse extends GeneratedResponse {
    response: string;
    contentType?: string | undefined;
    noCache: boolean;
    constructor(response: string, contentType?: string | undefined, noCache?: boolean);
    getResponse(response: Response): Response;
}
export declare class TextGeneratedResponse extends BodyGeneratedResponse {
    response: string;
    noCache: boolean;
    constructor(response: string, noCache?: boolean);
}
export declare class HtmlGeneratedResponse extends BodyGeneratedResponse {
    response: string;
    noCache: boolean;
    constructor(response: string, noCache?: boolean);
}
export declare class RedirectGeneratedResponse extends GeneratedResponse {
    uri: string;
    constructor(uri: string);
    getResponse(response: Response): Response;
}
